gsasl_hash_length(3)

NAME
gsasl_hash_length - API function

SYNOPSIS
#include <gsasl.h>

size_t gsasl_hash_length(Gsasl_hash hash);

ARGUMENTS

Gsasl_hash hash
    a Gsasl_hash element, e.g., GSASL_HASH_SHA256.

DESCRIPTION
Return the digest output size for hash function hash . For example, gsasl_hash_length(GSASL_HASH_SHA256) returns GSASL_HASH_SHA256_SIZE which is 32.

RETURNS
size of supplied Gsasl_hash element.

SINCE
1.10

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>.
General guidelines for reporting bugs: https://www.gnu.org/gethelp/
GNU SASL home page: https://www.gnu.org/software/gsasl/

COPYRIGHT
Copyright © 2002-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libidn/gsasl/manual/